#!/bin/sh

 today=`date +%y%b%d`
 PT_PATH=/ei/point/rpo_eps3
#PT_PATH=/other/eps3_test/point
 export PT_PATH

 EPS3_PATH=/usr/local/pub/eps3/src
 export EPS3_PATH
 
 USER_PATH=$PT_PATH/userin
 export USER_PATH

# c13jul2007 start cb05
# c14aug2007 start updated afs 
# c04Aug2011 mex_pt_v3 - RPOlcp, Rider 8 afs.Mexico_from_phaseIII_1999NEI.RPOlcp_nozeros
# c17Oct2011 mex_pt_v4 - 4 pols via cat of afs.Mexico_from_phaseIII_1999NEI.RPOlcp, afs.Mexico_SO2_from_phaseIII_1999NEI.RPOlcp
# test.spcems 17Jan2012 - only run conus_36km to check cb6 prof, xref, and conv, afs.Mexico_from_phaseIII_1999NEI_4pols.RPOlcp
# c28May2013 production run of ANM's afs.Mexico_2018_from_phaseIII_1999NEI.RPOlcp (28May2013)
# 19Mar2014 afs.Mexico_2012_from_phaseIII_1999NEI.RPOlcp, ANM 13Mar2014
# fy2012b_MexID 17Jun2015 afs.Mexico_2012_Interpolate_from_EPA2011PlatformV2_MexID.RPOlcp based on 2008 EI in EPA Platform v2.
# fy2012b_MexID_ph30 25Oct2016 Plume height 30m, afs.Mexico_2012_Interpolate_from_EPA2011PlatformV2_MexID.RPOlcp based on 2008 EI in EPA Platform v2.
# gns 08Feb2017 - Same as above, but with conus_12km & yymmdd rename to wkday
# fy2020a 03May2017 afs.Mexico_2023_from_EPA2011PlatformV6.3_MexID.RPOlcp (BE 11Apr2017) for gns
# rh_fy2020a 24Jul2018 Re-use GNS AFS for bump-up SIP and RegHaze, tx_4km & na_12km
# fy2020a 18Feb2019 afs.Mexico_2020_from_EPA2011PlatformV6.3_MexID_v1.RPOlcp(BE 14Feb2019)
#

 run_type=mex
 scenario=mex_fy2020a
 afsin1=afs.mex_fy2020a

 #conus_12km
 #tx_4km na_12km
 for grid in na_12km tx_4km

  do

 tmprof_xref=tmprl.xref.tx_negu_v15b
 tmprof=tmprl.profs.tx_negu_v15b


 ugrid=${grid}_mex 

 for spec in cb6p
  do

case $spec in
  'cb4')   fac_v=2005v3a_2004v4d.pt.all ;;
  'cb05')  fac_v=2005v4a.pt.all.etha ;;
  's99')   fac_v=2000v15c.pt.all ;;
  'cb6p') prof=gspro_cb6_stars2012_v3a_v2.05Jun2015
          xref=gsref_cb6_stars2012_v3a_v2.05Jun2015
          conv=gscnv_cb6_stars2012_v3a_v2.05Jun2015 ;;
 esac


 for yymmdd in 200808
  do

  yy=`echo $yymmdd | cut -c1,2`
  mm=`echo $yymmdd | cut -c3,4`
  dd=`echo $yymmdd | cut -c5,6`

 master_uin=$USER_PATH/$grid/userin.$spec.YYMMDD.$ugrid
 temp_uin=$USER_PATH/$grid/userin.$spec.$yymmdd.$ugrid
 dow=`date -d $yymmdd | awk '{print $1}'`
 sed "s/DOW/$dow/g" $master_uin > $temp_uin
 dd=`echo $yymmdd | cut -c5-`
 Mmm=`date -d $yymmdd | awk '{print $2}'`
 yyyy=`date -d $yymmdd | awk '{print $NF}'`
 perl -pi -e "s/ DD Mmm YYYY/ $dd $Mmm $yyyy/" $temp_uin
 perl -pi -e "s/YYMMDD/$yymmdd/" $temp_uin 

 echo
 echo "today  yymmdd  grid scenario afsin1 ugrid"
 echo $today  $yymmdd  $grid $scenario $afsin1 $ugrid

 cd $PT_PATH/prepnt/$run_type
 run.prepnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $afsin1 $ugrid

 cd $PT_PATH/spcems/$run_type
   run.spcems.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $ugrid $prof $xref $conv

 cd $PT_PATH/tmprl/$run_type
   run.tmprl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $tmprof_xref $tmprof $ugrid

 cd $PT_PATH/grdem/$run_type
   run.grdem.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

if [ $grid = "na_12km" ] || [ $grid = "conus_12km" ]; then
 cd $PT_PATH/pstpnt/$run_type
   run.pstpnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid
 
 cd $PT_PATH/pigems/$run_type
  run.pigems.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid
fi


 # Replace yymmdd with wkday
  rename $yymmdd avgday $PT_PATH/*/$run_type/*$scenario.$today    

 rm $temp_uin

 done
done
done
exit
